Bug 102697 - maintainer-update of mail/mutt-devel
Summary: maintainer-update of mail/mutt-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-30 16:50 UTC by Udo.Schweigert
Modified: 2006-09-01 14:47 UTC (History)
0 users

See Also:


Attachments
file.diff (15.37 KB, patch)
2006-08-30 16:50 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2006-08-30 16:50:21 UTC
Maintainer update of mail/mutt-devel:

	- Update to version 1.5.13.

Commiter:
	- new file (cvs add): files/patch-contrib-Makefile.am
	- deleted files (cvs rm):
		files/extra-patch-sidebar
		files/patch-contrib-Makefile.in
Comment 1 Renato Botelho freebsd_committer 2006-08-30 22:35:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-09-01 12:22:15 UTC
Hello,

We have a little problem here, mutt-devel depends of mime-support
port that installs etc/mime.types, but, mutt is installing this same
file too, and is leaving mime.types.dist on filesystem after deinstall.

Here is a buildlog:

http://tb3.droso.net/logs/6-garga/mutt-devel-1.5.13.log

Could yout take a look please?

Regards
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 3 Renato Botelho freebsd_committer 2006-09-01 12:24:49 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 Udo.Schweigert 2006-09-01 13:40:43 UTC
On Fri, Sep 01, 2006 at 08:22:15 -0300, Renato Botelho wrote:
> Hello,
>=20
> We have a little problem here, mutt-devel depends of mime-support
> port that installs etc/mime.types, but, mutt is installing this same
> file too, and is leaving mime.types.dist on filesystem after deinstall.
>=20
> Here is a buildlog:
>=20
> http://tb3.droso.net/logs/6-garga/mutt-devel-1.5.13.log
>=20
> Could yout take a look please?

Renato,

sorry for that (I missed to take notice of that :-()
Anyway: the attached patch should solve that. There's now one additional
file to be commiteed (files/patch-Makefile.am).

Udo


diff -ru  /usr/ports/mail/mutt-devel/Makefile ./Makefile
--- /usr/ports/mail/mutt-devel/Makefile	Mon Jul 24 06:07:59 2006
+++ ./Makefile	Wed Aug 30 17:37:59 2006
@@ -106,7 +106,7 @@
 #
=20
 PORTNAME=3D	mutt-devel
-PORTVERSION=3D	1.5.12
+PORTVERSION=3D	1.5.13
 PORTREVISION?=3D	0
 CATEGORIES+=3D	mail ipv6
 .if defined(WITH_MUTT_NNTP)
@@ -329,11 +329,6 @@
 .endif
 .endif
=20
-.if defined(WITH_MUTT_SIDEBAR_PATCH)
-post-patch::
-	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-sidebar
-.endif
-
 .if defined(WITH_MUTT_ASPELL)
 post-patch::
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-aspell
@@ -419,7 +414,7 @@
 PATCHFILES+=3D	p0-patch-${DW_MBOX_PATCH_VERSION}.dw.mbox-hook.1:dw
 .endif
 .if defined(WITH_MUTT_SIDEBAR_PATCH)
-SIDEBAR_PATCH=3D	patch-1.5.12.sidebar.20060720.txt
+SIDEBAR_PATCH=3D	patch-1.5.13.sidebar.20060828.txt
 DISTFILES+=3D	${SIDEBAR_PATCH}:tchan
 XML_NEEDED=3D	yes
 pre-patch::
@@ -442,7 +437,7 @@
 	@${REINPLACE_CMD} -e 's,pgp6,pgp,g' \
 		${WRKSRC}/contrib/pgp6.rc
 	@${REINPLACE_CMD} -E -e 's|@samplesdir@|${EXAMPLESDIR}|g' \
-		${WRKSRC}/contrib/Makefile.in
+		${WRKSRC}/contrib/Makefile.am
=20
 pre-configure::
 	@(cd ${WRKSRC}; ${SETENV} ${AUTOMAKE_ENV} ${ACLOCAL} -I m4)
diff -ru  /usr/ports/mail/mutt-devel/distinfo ./distinfo
--- /usr/ports/mail/mutt-devel/distinfo	Mon Jul 24 06:07:59 2006
+++ ./distinfo	Wed Aug 30 13:45:03 2006
@@ -1,27 +1,27 @@
-MD5 (mutt/mutt-1.5.12.tar.gz) =3D 57196c816211a72900fdc54341eb0132
-SHA256 (mutt/mutt-1.5.12.tar.gz) =3D 0d0c2ab6cea0d93579bc5490fafdae3bf6400=
70d993490c7b00ccac4fa808b67
-SIZE (mutt/mutt-1.5.12.tar.gz) =3D 3440835
-MD5 (mutt/patch-1.5.12.rr.compressed.gz) =3D 9a164da2a647de6a6e19c4d43bd03=
2aa
-SHA256 (mutt/patch-1.5.12.rr.compressed.gz) =3D 8311bdb651a39e492ac6659132=
4c0c21a3d7c7c7c487a86676db01fd62f12606
-SIZE (mutt/patch-1.5.12.rr.compressed.gz) =3D 10066
-MD5 (mutt/patch-1.5.12.vvv.nntp.gz) =3D 7cbc1e12a743b3ad9a594a5da29f6d35
-SHA256 (mutt/patch-1.5.12.vvv.nntp.gz) =3D 5d921156e0b3e6ccb53964c8308a0c3=
f2b57357512b453a8bdfa49e7978c0f05
-SIZE (mutt/patch-1.5.12.vvv.nntp.gz) =3D 54910
+MD5 (mutt/mutt-1.5.13.tar.gz) =3D 456a138680a6726f14983cb3e9ff4e22
+SHA256 (mutt/mutt-1.5.13.tar.gz) =3D e0481690c0caf23b5c88359b2dbac70308f8f=
138663e8fee482b163562fe8da9
+SIZE (mutt/mutt-1.5.13.tar.gz) =3D 3442681
+MD5 (mutt/patch-1.5.13.rr.compressed.gz) =3D 2f1d2b9defc3ad81ab3893aefdaa8=
fe4
+SHA256 (mutt/patch-1.5.13.rr.compressed.gz) =3D 236ea2ed2c5b0195d1f72647d1=
7de5c4cbe7faf78de4cdeb983ab6799baf2f7d
+SIZE (mutt/patch-1.5.13.rr.compressed.gz) =3D 10058
+MD5 (mutt/patch-1.5.13.vvv.nntp.gz) =3D 68af2e3641d2e46546ad29d66781a700
+SHA256 (mutt/patch-1.5.13.vvv.nntp.gz) =3D bfd8431c35dfd47fe8de502ae93cb99=
69c18ea464ed1fe832c6443f9e12a5577
+SIZE (mutt/patch-1.5.13.vvv.nntp.gz) =3D 54834
 MD5 (mutt/patch-1.5.4.cd.ifdef.1) =3D a545036cdb55519154d0b35465f52daa
 SHA256 (mutt/patch-1.5.4.cd.ifdef.1) =3D 7d11892bcc688bbc82b5996ca0fda2d44=
46d8e928bec50b2731f8a3a5d9be373
 SIZE (mutt/patch-1.5.4.cd.ifdef.1) =3D 3545
-MD5 (mutt/patch-1.5.12.vvv.initials.gz) =3D 1cc3b352f92c14f619c534aaa8e490=
0d
-SHA256 (mutt/patch-1.5.12.vvv.initials.gz) =3D 4b4e8953c0d8144366ae8ca1a61=
6253218981dbca4bf312c87766fa9c408833f
-SIZE (mutt/patch-1.5.12.vvv.initials.gz) =3D 683
-MD5 (mutt/patch-1.5.12.vvv.quote.gz) =3D 48df3c09a4a467ce0347588ecff1d73b
-SHA256 (mutt/patch-1.5.12.vvv.quote.gz) =3D 5110a3437311e07216b102c17f3888=
b4fff2f593f1107fd46247559028b9d6d2
-SIZE (mutt/patch-1.5.12.vvv.quote.gz) =3D 1967
+MD5 (mutt/patch-1.5.13.vvv.initials.gz) =3D 52df400d31e225c02bea2f575db03b=
2a
+SHA256 (mutt/patch-1.5.13.vvv.initials.gz) =3D b6e1dc90fc871ea6227da33f7c6=
9d12175836eac0d98154096f51dfee5568914
+SIZE (mutt/patch-1.5.13.vvv.initials.gz) =3D 682
+MD5 (mutt/patch-1.5.13.vvv.quote.gz) =3D 3afa1bb8065ff207420ba9bc4fe2ae8c
+SHA256 (mutt/patch-1.5.13.vvv.quote.gz) =3D 77f3d497796a1112f1908ac9bdc12b=
abaa6146824e878f8cb284accda0499de7
+SIZE (mutt/patch-1.5.13.vvv.quote.gz) =3D 1965
 MD5 (mutt/p0-patch-1.5.6.dw.mbox-hook.1) =3D 9e29a6778ab07a4de3442691e4573=
fea
 SHA256 (mutt/p0-patch-1.5.6.dw.mbox-hook.1) =3D ec9511b86a595f9b4f1f96b05d=
9e9e12e997bc62b0a0f2b5a36e2817dee61406
 SIZE (mutt/p0-patch-1.5.6.dw.mbox-hook.1) =3D 6405
-MD5 (mutt/patch-1.5.12.sidebar.20060720.txt) =3D aec38e08ace75aa8a36cb5f6a=
e318b4b
-SHA256 (mutt/patch-1.5.12.sidebar.20060720.txt) =3D 5373460e9846cf86d6da21=
92de37cc6ac98f37dc15e7820b6681ae86b9bed9d5
-SIZE (mutt/patch-1.5.12.sidebar.20060720.txt) =3D 47695
+MD5 (mutt/patch-1.5.13.sidebar.20060828.txt) =3D b1e18dcdfdb33cfcf8965f332=
b9f3f9f
+SHA256 (mutt/patch-1.5.13.sidebar.20060828.txt) =3D bafb6fed5057d1b78544a0=
6c192bc67fca259c5cccd15312b292824849e3aa20
+SIZE (mutt/patch-1.5.13.sidebar.20060828.txt) =3D 49483
 MD5 (mutt/patch-1.5.9.tt.assumed_charset.2.gz) =3D 45cacc5155f1865ace31c72=
e2bffee63
 SHA256 (mutt/patch-1.5.9.tt.assumed_charset.2.gz) =3D 41ae6d049d2d39c3bb01=
d534a760372ec571bc51e90c259f529c477aa41d3d7e
 SIZE (mutt/patch-1.5.9.tt.assumed_charset.2.gz) =3D 2555
diff -ru  /usr/ports/mail/mutt-devel/files/extra-patch-sidebar ./files/extr=
a-patch-sidebar
--- /usr/ports/mail/mutt-devel/files/extra-patch-sidebar	Sun Feb  6 09:58:4=
3 2005
+++ ./files/extra-patch-sidebar	Thu Jan  1 01:00:00 1970
@@ -1,10 +0,0 @@
---- Makefile.am.orig	Fri Feb  4 18:12:14 2005
-+++ Makefile.am	Fri Feb  4 18:17:17 2005
-@@ -195,6 +195,7 @@
- 		$(srcdir)/init.h | ./makedoc -c | cat Muttrc.head - > Muttrc
- 	touch stamp-doc-rc
-=20
-+mutt_SOURCES +=3D sidebar.c
-=20
- .PHONY: commit pclean check-security commit-real commit-changelog
- .PHONY: changelog ChangeLog
diff -ru  /usr/ports/mail/mutt-devel/files/patch-02 ./files/patch-02
--- /usr/ports/mail/mutt-devel/files/patch-02	Tue Jul 18 18:05:06 2006
+++ ./files/patch-02	Wed Aug 30 14:52:39 2006
@@ -1,3 +1,24 @@
+--- doc/Makefile.am.orig	Mon Aug 14 16:06:21 2006
++++ doc/Makefile.am	Wed Aug 30 14:52:04 2006
+@@ -63,9 +63,6 @@
+ 		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(docdir) ; \
+ 	done
+ 	-$(INSTALL) -m 644 manual.txt $(DESTDIR)$(docdir)
+-	-for f in $(HTML_DOCFILES) ; do \
+-		$(INSTALL) -m 644 $$f $(DESTDIR)$(docdir) ; \
+-	done
+=20
+ uninstall-local:
+ 	for f in mutt.1 mutt_dotlock.1 flea.1 muttbug.1 ; do \
+@@ -82,7 +79,7 @@
+=20
+ check:
+ manual.txt: manual.html
+-	-lynx -dump -nolist -with_backspaces $^ > $@ || w3m -dump $^ > $@
++	-lynx -dump -nolist -with_backspaces manual.html > $@ || w3m -dump $^ > =
$@
+=20
+ manual.html: $(srcdir)/html.xsl stamp-doc-xml
+ 	-xsltproc --nonet -o $@ $(srcdir)/html.xsl manual.xml
 --- doc/Makefile.in.orig1	Wed Jul  5 10:40:07 2006
 +++ doc/Makefile.in	Mon Jul 17 15:49:28 2006
 @@ -71,7 +71,7 @@
diff -ru  /usr/ports/mail/mutt-devel/files/patch-Makefile.am ./files/patch-=
Makefile.am
--- /usr/ports/mail/mutt-devel/files/patch-Makefile.am	Thu Jan  1 01:00:00 =
1970
+++ ./files/patch-Makefile.am	Fri Sep  1 14:36:30 2006
@@ -0,0 +1,19 @@
+--- Makefile.am.orig2	Fri Sep  1 14:27:36 2006
++++ Makefile.am	Fri Sep  1 14:28:47 2006
+@@ -145,16 +145,12 @@
+ install-data-local: Muttrc
+ 	$(srcdir)/mkinstalldirs $(DESTDIR)$(sysconfdir)
+ 	$(INSTALL) -m644 Muttrc $(DESTDIR)$(sysconfdir)/Muttrc.dist
+-	$(INSTALL) -m644 $(srcdir)/mime.types $(DESTDIR)$(sysconfdir)/mime.types=
=2Edist
+ 	-if [ -f $(DESTDIR)$(pkgdatadir)/Muttrc ] ; then \
+ 		mv $(DESTDIR)$(pkgdatadir)/Muttrc* $(DESTDIR)$(sysconfdir) ; \
+ 	elif [ -f $(DESTDIR)$(pkgdatadir)/../Muttrc ] ; then \
+ 	 	mv $(DESTDIR)$(pkgdatadir)/../Muttrc* $(DESTDIR)$(sysconfdir) ; \
+ 	elif [ ! -f $(DESTDIR)$(sysconfdir)/Muttrc ] ; then \
+ 		$(INSTALL) -m 644 Muttrc $(DESTDIR)$(sysconfdir) ; \
+-	fi
+-	-if [ ! -f $(DESTDIR)$(sysconfdir)/mime.types ]; then \
+-		$(INSTALL) -m 644 $(srcdir)/mime.types $(DESTDIR)$(sysconfdir); \
+ 	fi
+=20
+ uninstall-local:
diff -ru  /usr/ports/mail/mutt-devel/files/patch-contrib-Makefile.am ./file=
s/patch-contrib-Makefile.am
--- /usr/ports/mail/mutt-devel/files/patch-contrib-Makefile.am	Thu Jan  1 0=
1:00:00 1970
+++ ./files/patch-contrib-Makefile.am	Wed Aug 30 16:33:27 2006
@@ -0,0 +1,11 @@
+--- contrib/Makefile.am.orig	Tue Jul 18 20:04:14 2006
++++ contrib/Makefile.am	Wed Aug 30 16:15:04 2006
+@@ -2,7 +2,7 @@
+=20
+ subdir =3D contrib
+=20
+-SAMPLES =3D Mush.rc Pine.rc gpg.rc pgp2.rc pgp5.rc pgp6.rc Tin.rc \
++SAMPLES =3D Mush.rc Pine.rc gpg.rc pgp2.rc pgp6.rc Tin.rc \
+ 	sample.muttrc  sample.mailcap sample.muttrc-tlr \
+ 	colors.default colors.linux smime.rc \
+ 	ca-bundle.crt smime_keys_test.pl
diff -ru  /usr/ports/mail/mutt-devel/files/patch-contrib-Makefile.in ./file=
s/patch-contrib-Makefile.in
--- /usr/ports/mail/mutt-devel/files/patch-contrib-Makefile.in	Mon Mar 21 0=
9:51:21 2005
+++ ./files/patch-contrib-Makefile.in	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- contrib/Makefile.in.orig	Wed Apr  2 10:57:06 2003
-+++ contrib/Makefile.in	Mon Mar 21 08:22:47 2005
-@@ -20,7 +20,7 @@
-=20
- subdir =3D contrib
-=20
--SAMPLES =3D Mush.rc Pine.rc gpg.rc pgp2.rc pgp5.rc pgp6.rc Tin.rc \
-+SAMPLES =3D Mush.rc Pine.rc gpg.rc pgp2.rc pgp6.rc Tin.rc \
- 	sample.muttrc  sample.mailcap sample.muttrc-tlr \
- 	colors.default colors.linux smime.rc \
- 	ca-bundle.crt smime_keys_test.pl
diff -ru  /usr/ports/mail/mutt-devel/files/patch-examples ./files/patch-exa=
mples
--- /usr/ports/mail/mutt-devel/files/patch-examples	Tue Jul 18 18:05:06 2006
+++ ./files/patch-examples	Wed Aug 30 16:33:35 2006
@@ -1,29 +1,29 @@
---- contrib/Makefile.in.orig	Mon Jun  4 19:14:31 2001
-+++ contrib/Makefile.in	Wed Mar 26 11:45:15 2003
-@@ -12,6 +12,7 @@
- mandir =3D @mandir@
- srcdir =3D @srcdir@
- docdir =3D @docdir@
+--- contrib/Makefile.am.orig	Tue Jul 18 20:04:14 2006
++++ contrib/Makefile.am	Wed Aug 30 16:05:33 2006
+@@ -1,6 +1,7 @@
+ # $Id: Makefile.am,v 3.1 2006/07/18 18:04:14 brendan Exp $
+=20
+ subdir =3D contrib
 +samplesdir =3D @samplesdir@
- top_srcdir =3D @top_srcdir@
- top_builddir =3D ..
- INSTALL =3D @INSTALL@
-@@ -37,12 +38,12 @@
- check:
 =20
- install:
+ SAMPLES =3D Mush.rc Pine.rc gpg.rc pgp2.rc pgp5.rc pgp6.rc Tin.rc \
+ 	sample.muttrc  sample.mailcap sample.muttrc-tlr \
+@@ -14,12 +15,12 @@
+ 	iconv/make.sh
+=20
+ install-data-local:
 -	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(docdir)/samples $(DESTDIR)$(docd=
ir)/samples/iconv
 +	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(samplesdir) $(DESTDIR)$(samplesd=
ir)/iconv
  	for f in $(SAMPLES) ; do \
 -		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(docdir)/samples ;	\
-+		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(samplesdir);	\
++		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(samplesdir) ;	\
  	done
  	for f in $(srcdir)/iconv/*.rc ; do					\
 -		$(INSTALL) -m 644 $$f $(DESTDIR)$(docdir)/samples/iconv	  ;	\
-+		$(INSTALL) -m 644 $$f $(DESTDIR)$(samplesdir)/iconv	  ;	\
++		$(INSTALL) -m 644 $$f $(DESTDIR)$(samplesdir)/iconv  ;	\
  	done
 =20
- # Nothing needs to be done - uninstall in doc removes samples as well.
+ uninstall-local:
 --- init.h.orig	Tue Mar  4 10:28:12 2003
 +++ init.h	Wed Mar 26 15:41:19 2003
 @@ -1455,8 +1455,8 @@
@@ -48,14 +48,14 @@
    ** (S/MIME only)
    */
    { "smime_verify_command", 	DT_STR, R_NONE, UL &SmimeVerifyCommand, 0},
---- Makefile.am.orig	Mon Jul 17 15:31:10 2006
-+++ Makefile.am	Mon Jul 17 15:32:52 2006
+--- Makefile.am.orig	Wed Aug 30 14:30:28 2006
++++ Makefile.am	Wed Aug 30 14:31:49 2006
 @@ -13,7 +13,7 @@
 =20
  bin_SCRIPTS =3D muttbug flea @SMIMEAUX_TARGET@
 =20
--BUILT_SOURCES =3D keymap_defs.h patchlist.c reldate.h
-+BUILT_SOURCES =3D keymap_defs.h patchlist.c reldate.h Muttrc
+-BUILT_SOURCES =3D keymap_defs.h patchlist.c
++BUILT_SOURCES =3D keymap_defs.h patchlist.c Muttrc
 =20
  bin_PROGRAMS =3D mutt @DOTLOCK_TARGET@ @PGPAUX_TARGET@
  mutt_SOURCES =3D $(BUILT_SOURCES) \
@@ -77,27 +77,27 @@
 =20
  into your system's global Muttrc, which normally resides in /etc or
  /usr/local/etc.
---- doc/manual.txt.orig	Thu Sep 15 16:22:18 2005
-+++ doc/manual.txt	Sun Sep 18 15:31:13 2005
-@@ -5004,8 +5004,8 @@
-=20
-    For  examples  on  how  to  configure  these  formats  for the various
-    versions  of PGP which are floating around, see the pgp*.rc and gpg.rc
--   files  in  the  samples/ subdirectory which has been installed on your
--   system alongside the documentation. (PGP only)
-+   files  in  the  share/examples/mutt/ subdirectory which has been insta=
lled
-+   on your system alongside the documentation. (PGP only)
-=20
- 6.3.160. pgp_getkeys_command
-=20
-@@ -5203,8 +5203,8 @@
-           $=08$s=08sm=08mi=08im=08me=08e_=08_c=08ca=08a_=08_l=08lo=08oc=
=08ca=08at=08ti=08io=08on=08n" or "-CAfile $=08$s=08sm=08mi=08im=08me=08e_=
=08_c=08ca=08a_=08_l=08lo=08oc=08ca=08at=08ti=08io=08on=08n".
-=20
-    For  examples  on  how to configure these formats, see the smime.rc in
--   the  samples/  subdirectory  which  has  been installed on your system
--   alongside the documentation. (S/MIME only)
-+   the  share/examples/mutt/  subdirectory  which  has  been installed on
-+   your system alongside the documentation. (S/MIME only)
+--- doc/manual.txt.orig	Mon Aug 14 16:10:04 2006
++++ doc/manual.txt	Wed Aug 30 14:34:46 2006
+@@ -5971,8 +5971,8 @@
+=20
+    For examples on how to configure these formats for the various version=
s of
+    PGP which are floating around, see the pgp*.rc and gpg.rc files in the
+-   samples/ subdirectory which has been installed on your system alongsid=
e the
+-   documentation. (PGP only)
++   share/examples/mutt/ subdirectory which has been installed on your sys=
tem
++   alongside the documentation. (PGP only)
+=20
+ 3.163. pgp_getkeys_command
+=20
+@@ -6164,8 +6164,8 @@
+           "-CAfile $smime_ca_location".
+=20
+    For examples on how to configure these formats, see the smime.rc in the
+-   samples/ subdirectory which has been installed on your system alongsid=
e the
+-   documentation. (S/MIME only)
++   share/examples/mutt/ subdirectory which has been installed on your sys=
tem
++   alongside the documentation. (S/MIME only)
 =20
- 6.3.179. smime_verify_command
+ 3.182. smime_verify_command
 =20
diff -ru  /usr/ports/mail/mutt-devel/files/patch-threadcomplete ./files/pat=
ch-threadcomplete
--- /usr/ports/mail/mutt-devel/files/patch-threadcomplete	Sun Sep 18 23:06:=
42 2005
+++ ./files/patch-threadcomplete	Wed Aug 30 14:37:48 2006
@@ -1,110 +1,3 @@
-diff -Nru a/PATCHES b/PATCHES
---- PATCHES
-+++ PATCHES
-@@ -0,0 +1 @@
-+patch-1.5.6+20040904.tg.mutt-thread.3
-diff -Nru a/mutt.h b/mutt.h
---- mutt.h	2004-07-24 12:27:21 +02:00
-+++ mutt.h	2004-09-04 12:36:18 +02:00
-@@ -211,6 +211,7 @@
-   /* actions for mutt_pattern_comp/mutt_pattern_exec */
-   M_AND,
-   M_OR,
-+  M_THREAD,
-   M_TO,
-   M_CC,
-   M_COLLAPSED,
-diff -Nru a/pattern.c b/pattern.c
---- pattern.c	2004-07-24 12:27:23 +02:00
-+++ pattern.c	2004-09-04 12:37:52 +02:00
-@@ -700,7 +700,7 @@
- pattern_t *mutt_pattern_comp (/* const */ char *s, int flags, BUFFER *err)
- {
-   pattern_t *curlist =3D NULL;
--  pattern_t *tmp;
-+  pattern_t *tmp, *tmp2;
-   pattern_t *last =3D NULL;
-   int not =3D 0;
-   int alladdr =3D 0;
-@@ -755,6 +755,39 @@
- 	alladdr =3D 0;
- 	break;
-       case '~':
-+	if (*(ps.dptr + 1) =3D=3D '(') {
-+		ps.dptr ++; /* skip ~ */
-+		p =3D find_matching_paren (ps.dptr + 1);
-+		if (*p !=3D ')')
-+		{
-+		  snprintf (err->data, err->dsize, _("mismatched brackets: %s"), ps.dpt=
r);
-+		  mutt_pattern_free (&curlist);
-+		  return NULL;
-+		}
-+		tmp =3D new_pattern ();
-+		tmp->op =3D M_THREAD;
-+		if (last)
-+		  last->next =3D tmp;
-+		else
-+		  curlist =3D tmp;
-+		last =3D tmp;
-+		tmp->not ^=3D not;
-+		tmp->alladdr |=3D alladdr;
-+		not =3D 0;
-+		alladdr =3D 0;
-+		/* compile the sub-expression */
-+		buf =3D mutt_substrdup (ps.dptr + 1, p);
-+		if ((tmp2 =3D mutt_pattern_comp (buf, flags, err)) =3D=3D NULL)
-+		{
-+		  FREE (&buf);
-+		  mutt_pattern_free (&curlist);
-+		  return NULL;
-+		}
-+		FREE (&buf);
-+		tmp->child =3D tmp2;
-+		ps.dptr =3D p + 1; /* restore location */
-+		break;
-+	}
- 	if (implicit && or)
- 	{
- 	  /* A | B & C =3D=3D (A | B) & C */
-@@ -945,6 +978,29 @@
-   return alladdr;
- }
-=20
-+static int match_threadcomplete(struct pattern_t *pat, pattern_exec_flag =
flags, CONTEXT *ctx, THREAD *t,int left,int up,int right,int down)
-+{
-+  int a;
-+  HEADER *h;
-+
-+  if(!t)
-+    return 0;
-+  h =3D t->message;
-+  if(h)
-+    if(mutt_pattern_exec(pat, flags, ctx, h))
-+      return 1;
-+
-+  if(up && (a=3Dmatch_threadcomplete(pat, flags, ctx, t->parent,1,1,1,0)))
-+    return a;
-+  if(right && t->parent && (a=3Dmatch_threadcomplete(pat, flags, ctx, t->=
next,0,0,1,1)))
-+    return a;
-+  if(left && t->parent && (a=3Dmatch_threadcomplete(pat, flags, ctx, t->p=
rev,1,0,0,1)))
-+    return a;
-+  if(down && (a=3Dmatch_threadcomplete(pat, flags, ctx, t->child,1,0,1,1)=
))
-+    return a;
-+  return 0;
-+}
-+
- /* flags
-    	M_MATCH_FULL_ADDRESS	match both personal and machine address */
- int
-@@ -958,6 +1014,8 @@
-       return (pat->not ^ (perform_and (pat->child, flags, ctx, h) > 0));
-     case M_OR:
-       return (pat->not ^ (perform_or (pat->child, flags, ctx, h) > 0));
-+    case M_THREAD:
-+      return (pat->not ^ match_threadcomplete(pat->child, flags, ctx, h->=
thread, 1, 1, 1, 1));
-     case M_ALL:
-       return (!pat->not);
-     case M_EXPIRED:
 --- mutt.h.orig2	Mon Sep  6 09:24:17 2004
 +++ mutt.h	Mon Sep  6 09:27:04 2004
 @@ -212,6 +212,7 @@
Comment 5 Renato Botelho freebsd_committer 2006-09-01 14:47:01 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!